/***************************************************************************
 *   Copyright (C) 2005 by Alexander Nemish   *
 *   atlanter@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include <tdeapplication.h>
#include <dcopclient.h>
#include <tdeaboutdata.h>
#include <tdecmdlineargs.h>
#include <tdelocale.h>
#include <ksplashscreen.h>
#include "bookreader.h"

static const char description[] = I18N_NOOP("A TDE Application");
static const char version[] = "0.2";
static TDECmdLineOptions options[] =
{
	{ "[URL]", I18N_NOOP("Document to open"), 0 },
	TDECmdLineLastOption
};

int main(int argc, char **argv)
{
	TDEAboutData about("kbookreader", I18N_NOOP("KBookReader"), version, description,
	                 TDEAboutData::License_GPL,
	                 "(C) 2005-2007 Alexander Nemish", 0, 0, "atlanter@gmail.com");
	about.addAuthor("Alexander Nemish", 0, "atlanter@gmail.com");
	TDECmdLineArgs::init(argc, argv, &about);
	TDECmdLineArgs::addCmdLineOptions(options);
	TDEApplication app;

	// register ourselves as a dcop client
	app.dcopClient()->registerAs(app.name(), false);

	// see if we are starting with session management
	if (app.isRestored())
	{
		RESTORE(BookReader);
	}
	else
	{
		// no session.. just start up normally
		TDECmdLineArgs *args = TDECmdLineArgs::parsedArgs();
		BookReader *widget = new BookReader;
		app.setMainWidget(widget->centralWidget());
		if (args->count() == 1)
			widget->load(args->url(0));
		widget->show();
		args->clear();
	}
	return app.exec();
}
